#!/bin/sh
#
# Sun Mar 26 14:50:13 MET DST 1995
#
VERSION=0.02

cat <<-EOF
Instalacni script baliku cstex-linux-$VERSION.
Napsal Jan "Yenya" Kasprzak (kas@muni.cz).


Prvni dilema: Pokud instaluji soubor, ktery v systemu jiz existuje,
mam jej prepsat novym, nebo prejmenovat na "soubor.orig" a pak nainstalovat
novy? Tyka se to programu v /usr/bin a dale souboru texmf.cnf
v adresari /usr/lib/texmf.

Prepsat? [a/n] 
EOF

if read a && [ "$a" = a ]
then
	OVERWRITE=yes
	echo "Tak tedy prepsat..."
else
	OVERWRITE=no
	echo "OK, budu se snazit prejmenovavat."
fi

echo -n "Testuji pristupova prava ..."

if cp /dev/null /usr/local/bin/~pokus~ 2>/dev/null
then
	# OK, muzeme zapisovat, asi jsme root.
	rm -f /usr/local/bin/~pokus~
	echo " V poradku."
else
	echo "Nemuzu zapisovat do /usr/local/bin. Jsem ja vubec root?"
	exit 1
fi

umask 022

ORIG_DIR=/usr/bin

for i in bin/*
do
	i=`basename $i`
	if [ -x $ORIG_DIR/$i ]
	then
		if [ "$OVERWRITE" = yes ]
		then
			echo "Rusim $ORIG_DIR/$i, soubor bude v /usr/local/bin."
			rm $ORIG_DIR/$i
		else
			echo "Prejmenovavam $ORIG_DIR/$i na $ORIG_DIR/$i.orig."
			mv $ORIG_DIR/$i $ORIG_DIR/$i.orig
		fi
	fi
done

echo -n "Instaluji programy do /usr/local/bin..."
(cd bin; tar cf - . )|(cd /usr/local/bin; tar xf - )
echo "Hotovo."

my_link(){
	echo "Vytvarim $2 jako symbolicky link na $1."
	ln -s $1 $2
}

my_link /usr/local/bin/virtex /usr/bin/virtex
my_link /usr/local/bin/virmf /usr/bin/virmf

my_link /usr/local/lib/cstex/csfonts /usr/lib/texmf/fonts/csfonts
my_link /usr/local/lib/cstex/tex /usr/lib/texmf/tex/cstex
my_link /usr/local/lib/cstex/csltx2e /usr/lib/texmf/tex/csltx2e

echo -n "Instaluji manualove stranky do /usr/local/man..."
(cd man; tar cf - . )|(cd /usr/local/man; tar xf - )
echo "Hotovo."

echo -n "Instaluji soubory do /usr/local/lib/cstex..."
tar cf - cstex | (cd /usr/local/lib; tar xf -)
echo "Hotovo."

echo -n "Instaluji CS formaty do /usr/lib/texmf/ini..."
tar cf - ini | (cd /usr/lib/texmf ; tar xf - )
echo "Hotovo."

echo -n "Instaluji texmf.cnf do /usr/lib/texmf..."
if [ -r /usr/lib/texmf/texmf.cnf -a "$OVERWRITE" = no ]
then 
	mv /usr/lib/texmf/texmf.cnf /usr/lib/texmf/texmf.cnf.orig
fi
cp texmf.cnf /usr/lib/texmf/texmf.cnf
echo "Hotovo."

echo -n "Vytvarim databazi ls-R. Toto muze chvili trvat ..."
ls -LR /usr/lib/texmf >/usr/lib/texmf/ls-R
echo "Hotovo."
echo "Databazi ls-R muzete kdykoli obnovit prikazem"
echo "ls -LR /usr/lib/texmf >/usr/lib/texmf/ls-R"

echo
echo "Instalace je hotova."

exit 0
